#!/usr/bin/env python
from inspect import *
import os
from decorator import *
from public import *

def exc(object):
    module = getmodule(object)
    err = type("OSError",(OSError,),{})
    err.__module__ = module.__name__
    module.OSError = err
    return module.OSError

@decorator
@public
def unix_only(f,*args,**kw):
    if os.uname()[0]=="Windows":
        raise exc(f)("Unix ONLY :(")
    return f(*args,**kw)

if __name__=="__main__":
	@unix_only
	def func(): pass
	try:
		func()
	except Exception as e:
		print("%s: %s" % (type(e),str(e)))
